/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: osgiOBRService.java 20762 2011-01-21 13:40:10Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.osgi.obr;

import java.io.Serializable;

import org.osgi.framework.BundleContext;
import org.ow2.jonas.admin.osgi.OSGiManager;

public class osgiOBRService implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 0L;

    BundleContext bc = null;

    OBRPlugin op = null;

    public osgiOBRService() {
        try {
            bc = OSGiManager.getBundleContext();
        } catch (Exception e) {
            e.printStackTrace();
        }
        op = new OBRPlugin(bc);
    }

    public String create() {
        return op.create(bc);
    }

    public String add(final String url) {
        return op.add(url, bc);
    }

    public String remove(final String paths) {
        return op.remove(paths, bc);
    }

    public String refresh(final String paths) {
        return op.refresh(paths, bc);
    }

    public String info(final String paths) {
        return op.info(paths, bc);
    }

    public String deploy(final String paths) {
        return op.deploystart(paths, bc, false);
    }

    public String start(final String paths) {
        return op.deploystart(paths, bc, true);
    }
}